Bug 707491 - Netperf clients quit when netperf server during ping-pong migration
Netperf clients quit when netperf server during ping-pong migration
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.7
Unspecified Unspecified
high Severity medium
: rc
: ---
Assigned To: Juan Quintela
Virtualization Bugs
:
Depends On:
Blocks: Rhel5KvmTier1
  Show dependency treegraph
 
Reported: 2011-05-25 04:56 EDT by Qunfang Zhang
Modified: 2013-01-09 18:54 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-07 06:45:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
netperf clients quits (256.16 KB, image/png)
2011-05-25 04:56 EDT, Qunfang Zhang
no flags Details

  None (edit)
Description Qunfang Zhang 2011-05-25 04:56:29 EDT
Created attachment 500764 [details]
netperf clients quits

Description of problem:
Run Netperf Server inside guest
Run N*netperf clients anywhere other than the mentioned guest.
Do ping-pong migration with the guest running netperf server.
As a result, the netperf clients quit but network is available for both netperf server and client.

Version-Release number of selected component (if applicable):
kernel-2.6.18-262.el5
kvm-83-235.el5

How reproducible:
Always

Steps to Reproduce:
1.Boot a guest and run netperf server inside it.
/usr/libexec/qemu-kvm -no-hpet -no-kvm-pit-reinjection -usbdevice tablet -rtc-td-hack -startdate now -name win7-32 -smp 4,cores=4 -k en-us -m 3G -boot c -net nic,vlan=1,macaddr=00:1a:4a:42:49:10,model=virtio -net tap,vlan=1,ifname=virtio_10_1,script=/etc/qemu-ifup,downscript=no -drive file=/mnt/win7-32-sp1-qcow2,media=disk,if=virtio,cache=off,boot=on,format=qcow2,werror=stop -cpu qemu64,+sse2 -M rhel5.6.0 -notify all -balloon none -monitor stdio -spice host=0,ic=on,port=5930,disable-ticketing -qxl 1

2.Boot a guest and run many netperf client inside it.

 /usr/libexec/qemu-kvm -no-hpet -no-kvm-pit-reinjection -usbdevice tablet -rtc-td-hack -startdate now -name win7-32-client -smp 1,cores=1 -k en-us -m 2G -boot c -net nic,vlan=1,macaddr=00:1a:2a:22:49:10,model=virtio -net tap,vlan=1,script=/etc/qemu-ifup -drive file=/mnt/win7-32-sp1-backup.qcow2,media=disk,if=virtio,cache=off,boot=on,format=qcow2,werror=stop -cpu qemu64,+sse2 -M rhel5.6.0 -notify all -balloon none -monitor stdio -vnc :10

shell script to run 300 netperf clients

#! /bin/sh
ip=10.66.82.83
i=0
while [ $i -lt 300 ]
do
netperf -H $ip -l 3000 & 
i=`expr $i + 1`
echo finish Test-No.$i
done

3.Do ping-pong migration with the guest with netperf server running inside.
  
Actual results:
netperf clients quit. (Screenshot will be attached.)

Expected results:


Additional info:
Comment 3 Mike Cao 2011-05-26 07:56:22 EDT
hit the same issue on windows 2003 32 bit guest but not 100% reproduce

Tried nertperf w/o migration ,netperf works fine.

Note You need to log in before you can comment on or make changes to this bug.